Bug 17968 - Remove useless variable in C4::Overdues::parse_overdues_letter
Summary: Remove useless variable in C4::Overdues::parse_overdues_letter
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Target Milestone: ---
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 12933
Blocks:
  Show dependency treegraph
 
Reported: 2017-01-23 13:20 UTC by Jonathan Druart
Modified: 2017-12-07 22:16 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 17968: Remove useless variable $item_format in C4::Overdues::parse_overdues_letter (1.41 KB, patch)
2017-01-23 13:25 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 17968: Remove useless variable $item_format in C4::Overdues::parse_overdues_letter (1.46 KB, patch)
2017-01-24 04:04 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 17968: Remove useless variable $item_format in C4::Overdues::parse_overdues_letter (1.55 KB, patch)
2017-01-27 08:25 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-01-23 13:20:55 UTC
There is a $item_format which is never used.
Comment 1 Jonathan Druart 2017-01-23 13:25:30 UTC
Created attachment 59410 [details] [review]
Bug 17968: Remove useless variable $item_format in C4::Overdues::parse_overdues_letter

The variable $item_format is not used and should be removed from this
subroutine.

Moreover it the letter parameter, but it is never sent to this
subroutine. letter_code is expected instead.

Test plan:
No test plan, just read the code and `git grep `
Comment 2 M. Tompsett 2017-01-24 04:02:54 UTC
(In reply to Jonathan Druart from comment #1)
> Moreover it the letter parameter, but it is never sent to this
> subroutine. letter_code is expected instead.

Right, $params->{letter}->{content} is never used, so while the logic actually does something, it isn't actually used at all.


> Test plan:
> No test plan, just read the code and `git grep `

Oh, and there is just the letter_code sent and expected.
Comment 3 M. Tompsett 2017-01-24 04:04:24 UTC
Created attachment 59484 [details] [review]
Bug 17968: Remove useless variable $item_format in C4::Overdues::parse_overdues_letter

The variable $item_format is not used and should be removed from this
subroutine.

Moreover it the letter parameter, but it is never sent to this
subroutine. letter_code is expected instead.

Test plan:
No test plan, just read the code and `git grep `

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 4 Marcel de Rooy 2017-01-27 08:25:10 UTC
Created attachment 59602 [details] [review]
Bug 17968: Remove useless variable $item_format in C4::Overdues::parse_overdues_letter

The variable $item_format is not used and should be removed from this
subroutine.

Moreover it the letter parameter, but it is never sent to this
subroutine. letter_code is expected instead.

Test plan:
No test plan, just read the code and `git grep `

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 5 Kyle M Hall 2017-02-17 15:43:39 UTC
Pushed to master for 17.05, thanks Jonathan!
Comment 6 Katrin Fischer 2017-02-19 20:39:17 UTC
This won't get ported back to 16.11.x as it is an enhancement.